EXECUTE (CREATE TABLE REPO_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10)     NOT NULL,
     VALID_FROM_DTTM      TIMESTAMP     NOT NULL,
     VALID_TO_DTTM        TIMESTAMP     NOT NULL,
     REPO_INSTRUMENT_TYPE_CD VARCHAR(5),
     VALUATION_MODEL_ID   VARCHAR(32),
     ELIGIBLE_REPO_CARVE_OUT_FLG CHARACTER(1),
     REPO_PRICE_AMT       NUMERIC(18,5),
     REPO_RT              NUMERIC(9,4),
     COLLATERAL_TYPE_CD   VARCHAR(3),
     REPO_COLLATERAL_EXCHANGE_FLG CHARACTER(1),
     ROLLOVER_STRATEGY_ID VARCHAR(32),
     PROCESSED_DTTM       TIMESTAMP     NOT NULL)
     PRIMARY INDEX REPO_INSTRUMENT_PI (FINANCIAL_INSTRUMENT_RK)
) BY TERADATA;

