/*-- Copyright (c) 2014 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --*/ 
/*
Model         Insurance DDS 5.5
Subject Area  Entire
Name          tridxdrp.sas
Model Version 
DBMS          Teradata
Created       4/10/2014 12:25:05 PM
* Copyright (c) 2014 by SAS Institute Inc., Cary, NC 27513
*/
/* Teradata connection information is required */
%MACRO tridxdrp(USER=, PASS=, SERVER=, DATABASE=);
PROC SQL NOERRORSTOP;
CONNECT TO TERADATA (USER=&USER PASS=&PASS SERVER=&SERVER DATABASE=&DATABASE MODE=TERADATA);
EXECUTE (DROP JOIN INDEX CONVERSION_SCHEDULE_SAK )
 BY TERADATA;

EXECUTE (DROP JOIN INDEX COUNTERPARTY_CREDIT_ASSESS_SAK )
 BY TERADATA;

EXECUTE (DROP JOIN INDEX CR_FACILITY_CR_ASSESS_SAK )
 BY TERADATA;

EXECUTE (DROP JOIN INDEX SEGMENT_CREDIT_ASSESSMENT_SAK )
 BY TERADATA;

DISCONNECT FROM TERADATA;
QUIT;
%MEND;
