EXECUTE (CREATE TABLE REPO_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     VALID_TO_DTTM        DATE NOT NULL,
     REPO_INSTRUMENT_TYPE_CD VARCHAR2(5),
     VALUATION_MODEL_ID   VARCHAR2(32),
     ELIGIBLE_REPO_CARVE_OUT_FLG VARCHAR2(1),
     REPO_PRICE_AMT       NUMBER(18,5),
     REPO_RT              NUMBER(9,4),
     COLLATERAL_TYPE_CD   VARCHAR2(3),
     REPO_COLLATERAL_EXCHANGE_FLG VARCHAR2(1),
     ROLLOVER_STRATEGY_ID VARCHAR2(32),
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
)) BY ORACLE;

