CREATE TABLE &LIBREF..ECONOMIC_SECTOR (
     ECONOMIC_SECTOR_CD   VARCHAR(3) label='Economic Sector Code',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Datetime',
     LANGUAGE_CD          VARCHAR(3) label='Language Code',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Datetime',
     ECONOMIC_SECTOR_DESC VARCHAR(100) label='Economic Sector Description',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Datetime',
     CONSTRAINT PRIM_KEY PRIMARY KEY (ECONOMIC_SECTOR_CD, VALID_FROM_DTTM, LANGUAGE_CD)
);

