CREATE TABLE &LIBREF..REINSURANCE_CARRIER (
     RI_CARRIER_RK        NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Reinsurer Retained Surrogate Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     RI_NETWORK_ID        VARCHAR(32) NOT NULL label='Reinsurance Network Identifier',
     PARTICIPATION_LIMIT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Participation Limit Amount',
     RI_CARRIER_TYPE_CD   VARCHAR(3) label='Reinsurance Carrier Type Code',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (RI_CARRIER_RK, VALID_FROM_DTTM)
);

